
/*===============================================================*/
/* Scripts per a la creaci de les taules i les claus associades */
/*===============================================================*/

alter table ACABAT
   drop constraint FK_ACABAT_MARCA;

alter table AGENDA
   drop constraint FK_AGENDA_CLIENT;

alter table AGENDA
   drop constraint FK_AGENDA_TALLER;

alter table AGENDA
   drop constraint FK_AGENDA_TIPUSCITA;

alter table AGENDA
   drop constraint FK_AGENDA_VEHICLECLIENT;

alter table CATALEGVEHICLE
   drop constraint FK_CATALEGV_ACABAT;

alter table CATALEGVEHICLE
   drop constraint FK_CATALEGV_MARCA;

alter table CATALEGVEHICLE
   drop constraint FK_CATALEGV_MODEL;

alter table CATALEGVEHICLE
   drop constraint FK_CATALEGV_MOTOR;

alter table CATALEGVEHICLE
   drop constraint FK_CATALEGV_TIPUSCOMBUSTIBLE;

alter table CLIENT
   drop constraint FK_CLIENT_CONCESSIONARI;

alter table COLOR
   drop constraint FK_COLOR_MARCA;

alter table COLORMODEL
   drop constraint FK_COLORMODEL_COLOR;

alter table COLORMODEL
   drop constraint FK_COLORMODEL_MODEL;

alter table COMANDAFABRICA
   drop constraint FK_CF_CATALEGVEHICLE;

alter table COMANDAFABRICA
   drop constraint FK_COMANDAF_CONCESSIONARI;

alter table COMANDAFABRICA
   drop constraint FK_COMANDAF_VENDA;

alter table COMERCIAL
   drop constraint FK_COMERCIAL_CONCESSIONARI;

alter table MECANIC
   drop constraint FK_MECANIC_TALLER;

alter table MODEL
   drop constraint FK_MODEL_MARCA;

alter table MOTOR
   drop constraint FK_MOTOR_MARCA;

alter table OPCIONAL
   drop constraint FK_OPCIONAL_MARCA;

alter table OPCIONALCOMANDA
   drop constraint FK_OPCOMANDA_COMANDAFABRICA;

alter table OPCIONALCOMANDA
   drop constraint FK_OPCOMANDA_OPCIONAL;

alter table OPCIONALMODEL
   drop constraint FK_OPMODEL_MODEL;

alter table OPCIONALMODEL
   drop constraint FK_OPMODEL_OPCIONAL;

alter table OPCIONALPRESSUPOST
   drop constraint FK_OPCIONAL_PRESSUPOST;

alter table OPCIONALPRESSUPOST
   drop constraint FK_OPPRESSUP_OPCIONAL;

alter table PRESSUPOST
   drop constraint FK_PRESSUP_CATALEG;

alter table PRESSUPOST
   drop constraint FK_PRESSUP_CLIENT;

alter table PRESSUPOST
   drop constraint FK_PRESSUP_COLOR;

alter table PRESSUPOST
   drop constraint FK_PRESSUP_COMERCIAL;

alter table PRESSUPOST
   drop constraint FK_PRESSUP_TIPUSVEHICLE;

alter table PRESSUPOST
   drop constraint FK_PRESSUP_VSTOCK;

alter table REPARACIO
   drop constraint FK_REPAR_AGENDA;

alter table REPARACIO
   drop constraint FK_REPAR_MECANIC;

alter table REPARACIO
   drop constraint FK_REPAR_TALLER;

alter table REVISIO
   drop constraint FK_REVIS_AGENDA;

alter table REVISIO
   drop constraint FK_REVIS_MECANIC;

alter table REVISIO
   drop constraint FK_REVIS_TALLER;

alter table TALLER
   drop constraint FK_TALLER_CONCESSIONARI;

alter table VEHICLECLIENT
   drop constraint FK_VCLIENT_CATALEGVEHICLE;

alter table VEHICLECLIENT
   drop constraint FK_VCLIENT_CLIENT;

alter table VEHICLECLIENT
   drop constraint FK_VCLIENT_COLOR;

alter table VEHICLESTOCK
   drop constraint FK_VSTOCK_CATALEGVEHICLE;

alter table VEHICLESTOCK
   drop constraint FK_VSTOCK_COLOR;

alter table VEHICLESTOCK
   drop constraint FK_VSTOCK_CONCESSIONARI;

alter table VEHICLESTOCK
   drop constraint FK_VSTOCK_TIPUSVEHICLE;

alter table VENDA
   drop constraint FK_VENDA_COMERCIAL;

alter table VENDA
   drop constraint FK_VENDA_PRESSUPOST;

drop table ACABAT cascade constraints;

drop table AGENDA cascade constraints;

drop table CATALEGVEHICLE cascade constraints;

drop table CLIENT cascade constraints;

drop table COLOR cascade constraints;

drop table COLORMODEL cascade constraints;

drop table COMANDAFABRICA cascade constraints;

drop table COMERCIAL cascade constraints;

drop table CONCESSIONARI cascade constraints;

drop table MARCA cascade constraints;

drop table MECANIC cascade constraints;

drop table MODEL cascade constraints;

drop table MOTOR cascade constraints;

drop table OPCIONAL cascade constraints;

drop table OPCIONALCOMANDA cascade constraints;

drop table OPCIONALMODEL cascade constraints;

drop table OPCIONALPRESSUPOST cascade constraints;

drop table PRESSUPOST cascade constraints;

drop table REPARACIO cascade constraints;

drop table REVISIO cascade constraints;

drop table TALLER cascade constraints;

drop table TIPUSCITA cascade constraints;

drop table TIPUSCOMBUSTIBLE cascade constraints;

drop table TIPUSVEHICLE cascade constraints;

drop table VEHICLECLIENT cascade constraints;

drop table VEHICLESTOCK cascade constraints;

drop table VENDA cascade constraints;

/*==============================================================*/
/* Table: ACABAT                                                */
/*==============================================================*/
create table ACABAT  (
   IDACABAT             NUMBER                          not null,
   IDMARCA              NUMBER                          not null,
   DESCRIPCIO           VARCHAR2(50)                    not null,
   constraint PK_ACABAT primary key (IDACABAT)
);

comment on table ACABAT is
'Acabats disponibles de cada marca';

/*==============================================================*/
/* Table: AGENDA                                                */
/*==============================================================*/
create table AGENDA  (
   IDCITA               NUMBER                          not null,
   IDTALLER             NUMBER                          not null,
   DIA                  DATE                            not null,
   HORA                 VARCHAR2(5)                     not null,
   IDTIPUSCITA          NUMBER                          not null,
   IDCLIENT             NUMBER                          not null,
   IDVEHICLECLIENT      NUMBER,
   OBSERVACIONS         VARCHAR2(250),
   constraint PK_AGENDA primary key (IDCITA)
);

comment on table AGENDA is
'Cites demanades pels clients per a la revisi dels seus vehicles, o per a la reparaci davaries';

comment on column AGENDA.HORA is
'Format hh:mm';

/*==============================================================*/
/* Table: CATALEGVEHICLE                                        */
/*==============================================================*/
create table CATALEGVEHICLE  (
   IDCONFIGURACIO       NUMBER                          not null,
   ANYCATALEG           NUMBER                          not null,
   IDMARCA              NUMBER,
   IDMODEL              NUMBER                          not null,
   IDCOMBUSTIBLE        VARCHAR2(2)                     not null,
   IDMOTOR              NUMBER                          not null,
   IDACABAT             NUMBER                          not null,
   PREU                 NUMBER(7,2)                     not null,
   DATAREGISTRE         DATE                            not null,
   DATABAIXA            DATE,
   constraint PK_CATALEGVEHICLE primary key (IDCONFIGURACIO)
);

comment on table CATALEGVEHICLE is
'Catleg de configuracions disponibles per a cadascun dels models';

/*==============================================================*/
/* Table: CLIENT                                                */
/*==============================================================*/
create table CLIENT  (
   IDCLIENT             NUMBER                          not null,
   IDCONCESSIONARI      NUMBER,
   NIF                  VARCHAR2(10)                    not null,
   NOM                  VARCHAR2(30)                    not null,
   COGNOM1              VARCHAR2(30)                    not null,
   COGNOM2              VARCHAR2(30)                    not null,
   ADRECA               VARCHAR2(100)                   not null,
   POBLACIO             VARCHAR2(50)                    not null,
   CODIPOSTAL           VARCHAR2(5)                     not null,
   TELEFON              VARCHAR2(10)                    not null,
   MAIL                 VARCHAR2(50),
   DATAREGISTRE         DATE,
   DATABAIXA            DATE,
   constraint PK_CLIENT primary key (IDCLIENT)
);

comment on table CLIENT is
'Clients dels concessionaris';

/*==============================================================*/
/* Table: COLOR                                                 */
/*==============================================================*/
create table COLOR  (
   IDCOLOR              VARCHAR2(4)                     not null,
   IDMARCA              NUMBER                          not null,
   DESCRIPCIO           VARCHAR2(50)                    not null,
   constraint PK_COLOR primary key (IDCOLOR)
);

comment on table COLOR is
'Colors disponibles per marca';

/*==============================================================*/
/* Table: COLORMODEL                                            */
/*==============================================================*/
create table COLORMODEL  (
   IDCOLOR              VARCHAR2(4)                     not null,
   IDMODEL              NUMBER                          not null,
   PREU                 NUMBER(6,2)                     not null,
   constraint PK_COLORMODEL primary key (IDCOLOR, IDMODEL)
);

comment on table COLORMODEL is
'Colors disponibles per model';

/*==============================================================*/
/* Table: COMANDAFABRICA                                        */
/*==============================================================*/
create table COMANDAFABRICA  (
   IDCOMANDA            NUMBER                          not null,
   IDCONCESSIONARI      NUMBER                          not null,
   DATACOMANDA          DATE                            not null,
   IDVENDA              NUMBER,
   IDCONFIGURACIO       NUMBER                          not null,
   IDCOLOR              VARCHAR2(4)                     not null,
   SETMANAPROD          NUMBER,
   FIPRODUCCIO          DATE,
   BASTIDOR             VARCHAR2(17),
   constraint PK_COMANDAFABRICA primary key (IDCOMANDA)
);

comment on table COMANDAFABRICA is
'Comandes realitzades a fbrica en relaci a les vendes de vehicles nous';

comment on column COMANDAFABRICA.IDVENDA is
'Sera nulla, si es tracta d''una comanda que no t associada una venda. La comanda la fa directament el concessionari sense tenir un comprador.';

comment on column COMANDAFABRICA.SETMANAPROD is
'Pel seguiment de la comanda, indica el numero de setmana de producci en el que es troba el vehicle.';

comment on column COMANDAFABRICA.FIPRODUCCIO is
'Data prevista de final de producci del vehicle.';

comment on column COMANDAFABRICA.BASTIDOR is
'S''actualitza al final del procs de fabricaci.';

/*==============================================================*/
/* Table: COMERCIAL                                             */
/*==============================================================*/
create table COMERCIAL  (
   IDCOMERCIAL          NUMBER                          not null,
   IDCONCESSIONARI      NUMBER                          not null,
   NUMEMPLEAT           NUMBER                          not null,
   NOM                  VARCHAR2(30)                    not null,
   COGNOM1              VARCHAR2(30)                    not null,
   COGNOM2              VARCHAR2(30)                    not null,
   TELEFON              VARCHAR2(10)                    not null,
   MAIL                 VARCHAR2(50),
   constraint PK_COMERCIAL primary key (IDCOMERCIAL)
);

comment on table COMERCIAL is
'Comercials dels concessionaris';

/*==============================================================*/
/* Table: CONCESSIONARI                                         */
/*==============================================================*/
create table CONCESSIONARI  (
   IDCONCESSIONARI      NUMBER                          not null,
   NOM                  VARCHAR2(50)                    not null,
   ADRECA               VARCHAR2(100)                   not null,
   POBLACIO             VARCHAR2(50)                    not null,
   CODIPOSTAL           VARCHAR2(5)                     not null,
   TELEFON              VARCHAR2(10)                    not null,
   MAIL                 VARCHAR2(50),
   constraint PK_CONCESSIONARI primary key (IDCONCESSIONARI)
);

comment on table CONCESSIONARI is
'Concessionaris de la marca';

/*==============================================================*/
/* Table: MARCA                                                 */
/*==============================================================*/
create table MARCA  (
   IDMARCA              NUMBER                          not null,
   DESCRIPCIO           VARCHAR2(50)                    not null,
   constraint PK_MARCA primary key (IDMARCA)
);

comment on table MARCA is
'Relaci de marques';

/*==============================================================*/
/* Table: MECANIC                                               */
/*==============================================================*/
create table MECANIC  (
   IDMECANIC            NUMBER                          not null,
   IDTALLER             NUMBER                          not null,
   NUMEMPLEAT           NUMBER                          not null,
   NOM                  VARCHAR2(30)                    not null,
   COGNOM1              VARCHAR2(30)                    not null,
   COGNOM2              VARCHAR2(30)                    not null,
   TELEFON              VARCHAR2(10)                    not null,
   MAIL                 VARCHAR2(50),
   constraint PK_MECANIC primary key (IDMECANIC)
);

comment on table MECANIC is
'Mecnics dels tallers';

/*==============================================================*/
/* Table: MODEL                                                 */
/*==============================================================*/
create table MODEL  (
   IDMODEL              NUMBER                          not null,
   IDMARCA              NUMBER,
   DESCRIPCIO           VARCHAR2(30)                    not null,
   constraint PK_MODEL primary key (IDMODEL)
);

comment on table MODEL is
'Models disponibles de cada marca';

/*==============================================================*/
/* Table: MOTOR                                                 */
/*==============================================================*/
create table MOTOR  (
   IDMOTOR              NUMBER                          not null,
   IDMARCA              NUMBER                          not null,
   DESCRIPCIO           VARCHAR2(50)                    not null,
   constraint PK_MOTOR primary key (IDMOTOR)
);

comment on table MOTOR is
'Motors disponibles de cada marca';

/*==============================================================*/
/* Table: OPCIONAL                                              */
/*==============================================================*/
create table OPCIONAL  (
   IDOPCIONAL           VARCHAR2(3)                     not null,
   IDMARCA              NUMBER                          not null,
   DESCRIPCIO           VARCHAR2(100)                   not null,
   constraint PK_OPCIONAL primary key (IDOPCIONAL)
);

comment on table OPCIONAL is
'Equipaments opcionals de cada marca';

/*==============================================================*/
/* Table: OPCIONALCOMANDA                                       */
/*==============================================================*/
create table OPCIONALCOMANDA  (
   IDCOMANDA            NUMBER                          not null,
   IDOPCIONAL           VARCHAR2(3)                     not null,
   constraint PK_OPCIONALCOMANDA primary key (IDCOMANDA, IDOPCIONAL)
);

comment on table OPCIONALCOMANDA is
'Equipaments opcionals de les comandes';

/*==============================================================*/
/* Table: OPCIONALMODEL                                         */
/*==============================================================*/
create table OPCIONALMODEL  (
   IDOPCIONAL           VARCHAR2(3)                     not null,
   IDMODEL              NUMBER                          not null,
   PREU                 NUMBER(6,2)                     not null,
   constraint PK_OPCIONALMODEL primary key (IDOPCIONAL, IDMODEL)
);

comment on table OPCIONALMODEL is
'Relaci dequipaments opcionals per model';

/*==============================================================*/
/* Table: OPCIONALPRESSUPOST                                    */
/*==============================================================*/
create table OPCIONALPRESSUPOST  (
   IDPRESSUPOST         NUMBER                          not null,
   IDOPCIONAL           VARCHAR2(3)                     not null,
   constraint PK_OPCIONALPRESSUPOST primary key (IDPRESSUPOST, IDOPCIONAL)
);

comment on table OPCIONALPRESSUPOST is
'Equipaments opcionals dels pressupostos';

/*==============================================================*/
/* Table: PRESSUPOST                                            */
/*==============================================================*/
create table PRESSUPOST  (
   IDPRESSUPOST         NUMBER                          not null,
   IDCOMERCIAL          NUMBER                          not null,
   IDCLIENT             NUMBER                          not null,
   IDTIPUSVEHICLE       NUMBER                          not null,
   IDVEHICLESTOCK       NUMBER,
   IDCONFIGURACIO       NUMBER,
   IDCOLOR              VARCHAR2(4)                     not null,
   PREU                 NUMBER(7,2)                     not null,
   DATAPRESSUPOST       DATE                            not null,
   constraint PK_PRESSUPOST primary key (IDPRESSUPOST)
);

comment on table PRESSUPOST is
'Pressupostos realitzats pels comercials';

comment on column PRESSUPOST.IDTIPUSVEHICLE is
'Indica el tipus de vehicle (nou, km0, segona m...)';

comment on column PRESSUPOST.IDVEHICLESTOCK is
'Informat quan el pressupost correspon a un vehicle en stock';

comment on column PRESSUPOST.IDCONFIGURACIO is
'Informat quan el pressupost correspon a un vehicle nou';

/*==============================================================*/
/* Table: REPARACIO                                             */
/*==============================================================*/
create table REPARACIO  (
   IDREPARACIO          NUMBER                          not null,
   BASTIDOR             VARCHAR2(17)                    not null,
   KM                   NUMBER                          not null,
   DATAENTRADA          DATE                            not null,
   DATALLIURAMENT       DATE                            not null,
   TEMPSRESOLUCIO       NUMBER                          not null,
   IMPORTMAOBRA         NUMBER(7,2),
   IMPORTMATERIAL       NUMBER(7,2),
   OBSERVACIONS         VARCHAR2(2000),
   IDMECANIC            NUMBER                          not null,
   IDTALLER             NUMBER                          not null,
   IDCITA               NUMBER,
   constraint PK_REPARACIO primary key (IDREPARACIO)
);

comment on table REPARACIO is
'Reparacions realitzades als tallers ';

comment on column REPARACIO.KM is
'Km que t el vehicle';

comment on column REPARACIO.DATAENTRADA is
'Data en la que es rep el vehicle';

comment on column REPARACIO.DATALLIURAMENT is
'Data de lliurament del vehicle';

comment on column REPARACIO.TEMPSRESOLUCIO is
'Hores invertides en la reparaci';

comment on column REPARACIO.IDCITA is
'Cita registrada a l''agenda';

/*==============================================================*/
/* Table: REVISIO                                               */
/*==============================================================*/
create table REVISIO  (
   IDREVISIO            NUMBER                          not null,
   BASTIDOR             VARCHAR2(17)                    not null,
   KM                   NUMBER                          not null,
   DATAENTRADA          DATE                            not null,
   DATALLIURAMENT       DATE                            not null,
   HABITACLE            VARCHAR2(2000),
   EXTERIOR             VARCHAR2(2000),
   MOTOR                VARCHAR2(2000),
   BAIXOS               VARCHAR2(2000),
   IMPORTMAOBRA         NUMBER(7,2),
   IMPORTMATERIAL       NUMBER(7,2),
   OBSERVACIONS         VARCHAR2(2000),
   IDMECANIC            NUMBER                          not null,
   IDTALLER             NUMBER                          not null,
   IDCITA               NUMBER,
   constraint PK_REVISIO primary key (IDREVISIO)
);

comment on table REVISIO is
'Revisions realitzades als vehicles dels clients';

comment on column REVISIO.KM is
'Km que t el vehicle';

comment on column REVISIO.DATAENTRADA is
'Data en la que es rep el vehicle';

comment on column REVISIO.DATALLIURAMENT is
'Data de lliurament del vehicle';

comment on column REVISIO.HABITACLE is
'Valoracions del interior del vehicle, i accions que s''hagin realitzat';

comment on column REVISIO.EXTERIOR is
'Valoracions del exterior del vehicle, i accions que s''hagin realitzat';

comment on column REVISIO.MOTOR is
'Valoracions dels components del motor del vehicle, i accions que s''hagin realitzat';

comment on column REVISIO.BAIXOS is
'Valoracions dels baixos del vehicle, i accions que s''hagin realitzat';

comment on column REVISIO.IDCITA is
'Cita registrada a l''agenda';

/*==============================================================*/
/* Table: TALLER                                                */
/*==============================================================*/
create table TALLER  (
   IDTALLER             NUMBER                          not null,
   IDCONCESSIONARI      NUMBER                          not null,
   ESPECIALITAT         VARCHAR2(50)                    not null,
   NUMCITES             NUMBER                          not null,
   TELEFON              VARCHAR2(10)                    not null,
   MAIL                 VARCHAR2(50),
   constraint PK_TALLER primary key (IDTALLER)
);

comment on table TALLER is
'Tallers que disposa cada concessionari';

comment on column TALLER.ESPECIALITAT is
'Especialitat a la que es dedica el taller';

comment on column TALLER.NUMCITES is
'Nombre mxim de cites que el taller pot donar per a una mateixa hora.';

/*==============================================================*/
/* Table: TIPUSCITA                                             */
/*==============================================================*/
create table TIPUSCITA  (
   IDTIPUSCITA          NUMBER                          not null,
   DESCRIPCIO           VARCHAR2(50)                    not null,
   constraint PK_TIPUSCITA primary key (IDTIPUSCITA)
);

comment on table TIPUSCITA is
'Codificaci dels tipus de cita';

comment on column TIPUSCITA.DESCRIPCIO is
'1:Revisi, 2:Avaria';

/*==============================================================*/
/* Table: TIPUSCOMBUSTIBLE                                      */
/*==============================================================*/
create table TIPUSCOMBUSTIBLE  (
   IDCOMBUSTIBLE        VARCHAR2(2)                     not null,
   DESCRIPCIO           VARCHAR2(50)                    not null,
   constraint PK_TIPUSCOMBUSTIBLE primary key (IDCOMBUSTIBLE)
);

comment on table TIPUSCOMBUSTIBLE is
'Tipus de combustible';

/*==============================================================*/
/* Table: TIPUSVEHICLE                                          */
/*==============================================================*/
create table TIPUSVEHICLE  (
   IDTIPUSVEHICLE       NUMBER                          not null,
   DESCRIPCIO           VARCHAR2(50)                    not null,
   constraint PK_TIPUSVEHICLE primary key (IDTIPUSVEHICLE)
);

comment on table TIPUSVEHICLE is
'Codificaci dels tipus de vehicles en stock';

/*==============================================================*/
/* Table: VEHICLECLIENT                                         */
/*==============================================================*/
create table VEHICLECLIENT  (
   IDVEHICLECLIENT      NUMBER                          not null,
   BASTIDOR             VARCHAR2(17)                    not null,
   IDCLIENT             NUMBER                          not null,
   MATRICULA            VARCHAR2(9)                     not null,
   ANYMODEL             NUMBER,
   IDCOLOR              VARCHAR2(4),
   IDCONFIGURACIO       NUMBER,
   TOTALKM              NUMBER                          not null,
   DATAMATRICULACIO     DATE,
   DATAULTIMAREVISIO    DATE,
   DATAREGISTRE         DATE                            not null,
   DATABAIXA            DATE,
   constraint PK_VEHICLECLIENT primary key (IDVEHICLECLIENT)
);

comment on table VEHICLECLIENT is
'Dades identificatives dels vehicles dels clients';

/*==============================================================*/
/* Table: VEHICLESTOCK                                          */
/*==============================================================*/
create table VEHICLESTOCK  (
   IDVEHICLESTOCK       NUMBER                          not null,
   BASTIDOR             VARCHAR2(17)                    not null,
   IDCONCESSIONARI      NUMBER                          not null,
   IDTIPUSVEHICLE       NUMBER                          not null,
   MATRICULA            VARCHAR2(9),
   ANYMODEL             NUMBER,
   IDCOLOR              VARCHAR2(4),
   IDCONFIGURACIO       NUMBER,
   TOTALKM              NUMBER                          not null,
   DATAMATRICULACIO     DATE,
   PREU                 NUMBER(7,2)                     not null,
   DATAENTRADA          DATE                            not null,
   DATASORTIDA          DATE,
   constraint PK_VEHICLESTOCK primary key (IDVEHICLESTOCK)
);

comment on table VEHICLESTOCK is
'Dades identificatives dels vehicles en stock';

comment on column VEHICLESTOCK.IDTIPUSVEHICLE is
'Indica el tipus de vehicle (nou, km0, segona m...)';

/*==============================================================*/
/* Table: VENDA                                                 */
/*==============================================================*/
create table VENDA  (
   IDVENDA              NUMBER                          not null,
   IDCOMERCIAL          NUMBER                          not null,
   IMPORT               NUMBER(7,2)                     not null,
   DATAVENDA            DATE                            not null,
   DATALLIURAMENT       DATE,
   IDPRESSUPOST         NUMBER                          not null,
   constraint PK_VENDA primary key (IDVENDA)
);

comment on table VENDA is
'Vendes realitzades pels comercials';

alter table ACABAT
   add constraint FK_ACABAT_MARCA foreign key (IDMARCA)
      references MARCA (IDMARCA);

alter table AGENDA
   add constraint FK_AGENDA_CLIENT foreign key (IDCLIENT)
      references CLIENT (IDCLIENT);

alter table AGENDA
   add constraint FK_AGENDA_TALLER foreign key (IDTALLER)
      references TALLER (IDTALLER);

alter table AGENDA
   add constraint FK_AGENDA_TIPUSCITA foreign key (IDTIPUSCITA)
      references TIPUSCITA (IDTIPUSCITA);

alter table AGENDA
   add constraint FK_AGENDA_VEHICLECLIENT foreign key (IDVEHICLECLIENT)
      references VEHICLECLIENT (IDVEHICLECLIENT);

alter table CATALEGVEHICLE
   add constraint FK_CATALEGV_ACABAT foreign key (IDACABAT)
      references ACABAT (IDACABAT);

alter table CATALEGVEHICLE
   add constraint FK_CATALEGV_MARCA foreign key (IDMARCA)
      references MARCA (IDMARCA);

alter table CATALEGVEHICLE
   add constraint FK_CATALEGV_MODEL foreign key (IDMODEL)
      references MODEL (IDMODEL);

alter table CATALEGVEHICLE
   add constraint FK_CATALEGV_MOTOR foreign key (IDMOTOR)
      references MOTOR (IDMOTOR);

alter table CATALEGVEHICLE
   add constraint FK_CATALEGV_TIPUSCOMBUSTIBLE foreign key (IDCOMBUSTIBLE)
      references TIPUSCOMBUSTIBLE (IDCOMBUSTIBLE);

alter table CLIENT
   add constraint FK_CLIENT_CONCESSIONARI foreign key (IDCONCESSIONARI)
      references CONCESSIONARI (IDCONCESSIONARI);

alter table COLOR
   add constraint FK_COLOR_MARCA foreign key (IDMARCA)
      references MARCA (IDMARCA);

alter table COLORMODEL
   add constraint FK_COLORMODEL_COLOR foreign key (IDCOLOR)
      references COLOR (IDCOLOR);

alter table COLORMODEL
   add constraint FK_COLORMODEL_MODEL foreign key (IDMODEL)
      references MODEL (IDMODEL);

alter table COMANDAFABRICA
   add constraint FK_CF_CATALEGVEHICLE foreign key (IDCONFIGURACIO)
      references CATALEGVEHICLE (IDCONFIGURACIO);

alter table COMANDAFABRICA
   add constraint FK_COMANDAF_CONCESSIONARI foreign key (IDCONCESSIONARI)
      references CONCESSIONARI (IDCONCESSIONARI);

alter table COMANDAFABRICA
   add constraint FK_COMANDAF_VENDA foreign key (IDVENDA)
      references VENDA (IDVENDA);

alter table COMERCIAL
   add constraint FK_COMERCIAL_CONCESSIONARI foreign key (IDCONCESSIONARI)
      references CONCESSIONARI (IDCONCESSIONARI);

alter table MECANIC
   add constraint FK_MECANIC_TALLER foreign key (IDTALLER)
      references TALLER (IDTALLER);

alter table MODEL
   add constraint FK_MODEL_MARCA foreign key (IDMARCA)
      references MARCA (IDMARCA);

alter table MOTOR
   add constraint FK_MOTOR_MARCA foreign key (IDMARCA)
      references MARCA (IDMARCA);

alter table OPCIONAL
   add constraint FK_OPCIONAL_MARCA foreign key (IDMARCA)
      references MARCA (IDMARCA);

alter table OPCIONALCOMANDA
   add constraint FK_OPCOMANDA_COMANDAFABRICA foreign key (IDCOMANDA)
      references COMANDAFABRICA (IDCOMANDA);

alter table OPCIONALCOMANDA
   add constraint FK_OPCOMANDA_OPCIONAL foreign key (IDOPCIONAL)
      references OPCIONAL (IDOPCIONAL);

alter table OPCIONALMODEL
   add constraint FK_OPMODEL_MODEL foreign key (IDMODEL)
      references MODEL (IDMODEL);

alter table OPCIONALMODEL
   add constraint FK_OPMODEL_OPCIONAL foreign key (IDOPCIONAL)
      references OPCIONAL (IDOPCIONAL);

alter table OPCIONALPRESSUPOST
   add constraint FK_OPCIONAL_PRESSUPOST foreign key (IDPRESSUPOST)
      references PRESSUPOST (IDPRESSUPOST);

alter table OPCIONALPRESSUPOST
   add constraint FK_OPPRESSUP_OPCIONAL foreign key (IDOPCIONAL)
      references OPCIONAL (IDOPCIONAL);

alter table PRESSUPOST
   add constraint FK_PRESSUP_CATALEG foreign key (IDCONFIGURACIO)
      references CATALEGVEHICLE (IDCONFIGURACIO);

alter table PRESSUPOST
   add constraint FK_PRESSUP_CLIENT foreign key (IDCLIENT)
      references CLIENT (IDCLIENT);

alter table PRESSUPOST
   add constraint FK_PRESSUP_COLOR foreign key (IDCOLOR)
      references COLOR (IDCOLOR);

alter table PRESSUPOST
   add constraint FK_PRESSUP_COMERCIAL foreign key (IDCOMERCIAL)
      references COMERCIAL (IDCOMERCIAL);

alter table PRESSUPOST
   add constraint FK_PRESSUP_TIPUSVEHICLE foreign key (IDTIPUSVEHICLE)
      references TIPUSVEHICLE (IDTIPUSVEHICLE);

alter table PRESSUPOST
   add constraint FK_PRESSUP_VSTOCK foreign key (IDVEHICLESTOCK)
      references VEHICLESTOCK (IDVEHICLESTOCK);

alter table REPARACIO
   add constraint FK_REPAR_AGENDA foreign key (IDCITA)
      references AGENDA (IDCITA);

alter table REPARACIO
   add constraint FK_REPAR_MECANIC foreign key (IDMECANIC)
      references MECANIC (IDMECANIC);

alter table REPARACIO
   add constraint FK_REPAR_TALLER foreign key (IDTALLER)
      references TALLER (IDTALLER);

alter table REVISIO
   add constraint FK_REVIS_AGENDA foreign key (IDCITA)
      references AGENDA (IDCITA);

alter table REVISIO
   add constraint FK_REVIS_MECANIC foreign key (IDMECANIC)
      references MECANIC (IDMECANIC);

alter table REVISIO
   add constraint FK_REVIS_TALLER foreign key (IDTALLER)
      references TALLER (IDTALLER);

alter table TALLER
   add constraint FK_TALLER_CONCESSIONARI foreign key (IDCONCESSIONARI)
      references CONCESSIONARI (IDCONCESSIONARI);

alter table VEHICLECLIENT
   add constraint FK_VCLIENT_CATALEGVEHICLE foreign key (IDCONFIGURACIO)
      references CATALEGVEHICLE (IDCONFIGURACIO);

alter table VEHICLECLIENT
   add constraint FK_VCLIENT_CLIENT foreign key (IDCLIENT)
      references CLIENT (IDCLIENT);

alter table VEHICLECLIENT
   add constraint FK_VCLIENT_COLOR foreign key (IDCOLOR)
      references COLOR (IDCOLOR);

alter table VEHICLESTOCK
   add constraint FK_VSTOCK_CATALEGVEHICLE foreign key (IDCONFIGURACIO)
      references CATALEGVEHICLE (IDCONFIGURACIO);

alter table VEHICLESTOCK
   add constraint FK_VSTOCK_COLOR foreign key (IDCOLOR)
      references COLOR (IDCOLOR);

alter table VEHICLESTOCK
   add constraint FK_VSTOCK_CONCESSIONARI foreign key (IDCONCESSIONARI)
      references CONCESSIONARI (IDCONCESSIONARI);

alter table VEHICLESTOCK
   add constraint FK_VSTOCK_TIPUSVEHICLE foreign key (IDTIPUSVEHICLE)
      references TIPUSVEHICLE (IDTIPUSVEHICLE);

alter table VENDA
   add constraint FK_VENDA_COMERCIAL foreign key (IDCOMERCIAL)
      references COMERCIAL (IDCOMERCIAL);

alter table VENDA
   add constraint FK_VENDA_PRESSUPOST foreign key (IDPRESSUPOST)
      references PRESSUPOST (IDPRESSUPOST);

