
--------------------------------------------------------
-- Table: LOG                                              
--------------------------------------------------------
create table LOGS  (
   IDLOG               NUMBER                          not null,
   DATAHORA            DATE                            not null,
   PROCEDIMENT         VARCHAR2(50)                    not null,
   PARAMS              VARCHAR2(2000)                  null,
   RESULTAT            VARCHAR2(2000)                  not null,
   constraint PK_LOGS primary key (IDLOG)
);

comment on table LOGS is
'Registra les actualitzacions realitzades a les taules del sistema';


--------------------------------------------------------
--  Seqencia LOG
--------------------------------------------------------
CREATE SEQUENCE  "SEQ_LOGS"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE ;
/


/*****************************************************************
-- Nom:                 INSERIRLOG
--
-- Descripci:          Insereix operaci realitzada al sistema
--
-- Parmetres entrada:
						pPROCEDIMENT LOGS.PROCEDIMENT%TYPE,
					    pPARAMS LOGS.PARAMS%TYPE,
					    pRESULTAT LOGS.RESULTAT%TYPE
--
-- Error controlats:   - Log duplicat
--
-- Autor: Ismael Guerrero
*****************************************************************/
CREATE OR REPLACE PROCEDURE "INSERIRLOG" ( 
					   pPROCEDIMENT LOGS.PROCEDIMENT%TYPE,
					   pPARAMS LOGS.PARAMS%TYPE,
					   pRESULTAT LOGS.RESULTAT%TYPE) 					   
  AS
   
  BEGIN

	INSERT INTO LOGS (IDLOG,DATAHORA,PROCEDIMENT,PARAMS,RESULTAT) 
	VALUES (SEQ_LOGS.nextval,SYSDATE,pPROCEDIMENT,pPARAMS,pRESULTAT);
        
    EXCEPTION  
        WHEN DUP_VAL_ON_INDEX THEN
          DBMS_OUTPUT.PUT_LINE('El log ja existeix.');
        
        WHEN OTHERS THEN
          DBMS_OUTPUT.PUT_LINE('Error inserint log: (' || SQLCODE || ') ' || SQLERRM);     
END;
/

