/*==============================================================*/
/* DBMS name:      ORACLE Version 9i2                           */
/* Created on:     06/12/2012 18:41:21                          */
/*==============================================================*/


alter table DW_F_REPARACIO
   drop constraint FK_F_REPARACIO_D_TALLER;

alter table DW_F_REPARACIO
   drop constraint FK_F_REPARACIO_D_TEMPS;

alter table DW_F_REPARACIO
   drop constraint FK_F_REPARACIO_D_VEHICLIENT;

alter table DW_F_REVISIO
   drop constraint FK_F_REVISIO_D_TALLER;

alter table DW_F_REVISIO
   drop constraint FK_F_REVISIO_D_TEMPS;

alter table DW_F_REVISIO
   drop constraint FK_F_REVISIO_D_VEHICLIENT;

alter table DW_F_VENDA
   drop constraint FK_F_VENDA_D_CATALEGVEHICLE;

alter table DW_F_VENDA
   drop constraint FK_F_VENDA_D_CLIENT;

alter table DW_F_VENDA
   drop constraint FK_F_VENDA_D_COMERCIAL;

alter table DW_F_VENDA
   drop constraint FK_F_VENDA_D_CONCESSIONARI;

alter table DW_F_VENDA
   drop constraint FK_F_VENDA_D_TEMPS;

drop table DW_D_CATALEGVEHICLE cascade constraints;

drop table DW_D_CLIENT cascade constraints;

drop table DW_D_COMERCIAL cascade constraints;

drop table DW_D_CONCESSIONARI cascade constraints;

drop table DW_D_TALLER cascade constraints;

drop table DW_D_TEMPS cascade constraints;

drop table DW_D_VEHICLECLIENT cascade constraints;

drop table DW_F_REPARACIO cascade constraints;

drop table DW_F_REVISIO cascade constraints;

drop table DW_F_VENDA cascade constraints;

/*==============================================================*/
/* Table: DW_D_CATALEGVEHICLE                                   */
/*==============================================================*/
create table DW_D_CATALEGVEHICLE  (
   IDCONFIGURACIO       NUMBER                          not null,
   ANYCATALEG           NUMBER                          not null,
   MARCA                VARCHAR2(50)                    not null,
   MODEL                VARCHAR2(30)                    not null,
   COMBUSTIBLE          VARCHAR2(50)                    not null,
   MOTOR                VARCHAR2(50)                    not null,
   ACABAT               VARCHAR2(50)                    not null,
   constraint PK_DW_D_CATALEGVEHICLE primary key (IDCONFIGURACIO)
);

comment on table DW_D_CATALEGVEHICLE is
'Informaci relacionada amb la configuraci dels vehicles (dimensi)';

/*==============================================================*/
/* Table: DW_D_CLIENT                                           */
/*==============================================================*/
create table DW_D_CLIENT  (
   IDCLIENT             NUMBER                          not null,
   NIF                  VARCHAR2(10)                    not null,
   NOM                  VARCHAR2(30)                    not null,
   COGNOM1              VARCHAR2(30)                    not null,
   COGNOM2              VARCHAR2(30)                    not null,
   ADRECA               VARCHAR2(100)                   not null,
   POBLACIO             VARCHAR2(50)                    not null,
   CODIPOSTAL           VARCHAR2(5)                     not null,
   TELEFON              VARCHAR2(10)                    not null,
   MAIL                 VARCHAR2(50),
   constraint PK_DW_D_CLIENT primary key (IDCLIENT)
);

comment on table DW_D_CLIENT is
'Dades dels clients (dimensi)';

/*==============================================================*/
/* Table: DW_D_COMERCIAL                                        */
/*==============================================================*/
create table DW_D_COMERCIAL  (
   IDCOMERCIAL          NUMBER                          not null,
   CONCESSIONARI        VARCHAR2(50)                    not null,
   NUMEMPLEAT           NUMBER                          not null,
   NOM                  VARCHAR2(30)                    not null,
   COGNOM1              VARCHAR2(30)                    not null,
   COGNOM2              VARCHAR2(30)                    not null,
   TELEFON              VARCHAR2(10)                    not null,
   MAIL                 VARCHAR2(50),
   constraint PK_DW_D_COMERCIAL primary key (IDCOMERCIAL)
);

comment on table DW_D_COMERCIAL is
'Dades dels comercials (dimensi)';

/*==============================================================*/
/* Table: DW_D_CONCESSIONARI                                    */
/*==============================================================*/
create table DW_D_CONCESSIONARI  (
   IDCONCESSIONARI      NUMBER                          not null,
   NOM                  VARCHAR2(50)                    not null,
   ADRECA               VARCHAR2(100)                   not null,
   POBLACIO             VARCHAR2(50)                    not null,
   CODIPOSTAL           VARCHAR2(5)                     not null,
   TELEFON              VARCHAR2(10)                    not null,
   MAIL                 VARCHAR2(50),
   constraint PK_DW_D_CONCESSIONARI primary key (IDCONCESSIONARI)
);

comment on table DW_D_CONCESSIONARI is
'Dades dels concessionaris (dimensi)';

/*==============================================================*/
/* Table: DW_D_TALLER                                           */
/*==============================================================*/
create table DW_D_TALLER  (
   IDTALLER             NUMBER                          not null,
   CONCESSIONARI        VARCHAR2(50)                    not null,
   ESPECIALITAT         VARCHAR2(50)                    not null,
   NUMCITES             NUMBER                          not null,
   TELEFON              VARCHAR2(10)                    not null,
   MAIL                 VARCHAR2(50),
   constraint PK_DW_D_TALLER primary key (IDTALLER)
);

comment on table DW_D_TALLER is
'Dades dels tallers (dimensi)';

comment on column DW_D_TALLER.ESPECIALITAT is
'Especialitat a la que es dedica el taller';

comment on column DW_D_TALLER.NUMCITES is
'Nombre mxim de cites que el taller pot donar per a una mateixa hora.';

/*==============================================================*/
/* Table: DW_D_TEMPS                                            */
/*==============================================================*/
create table DW_D_TEMPS  (
   IDTEMPS              NUMBER                          not null,
   DATA                 DATE                            not null,
   DIA                  NUMBER                          not null,
   MES                  NUMBER                          not null,
   ANYO                 NUMBER                          not null,
   constraint PK_DW_D_TEMPS primary key (IDTEMPS)
);

comment on table DW_D_TEMPS is
'Dimensi temps';

/*==============================================================*/
/* Table: DW_D_VEHICLECLIENT                                    */
/*==============================================================*/
create table DW_D_VEHICLECLIENT  (
   IDVEHICLECLIENT      NUMBER                          not null,
   BASTIDOR             VARCHAR2(17)                    not null,
   CLIENT               VARCHAR2(100)                   not null,
   MATRICULA            VARCHAR2(9)                     not null,
   CONFIGURACIO         VARCHAR2(150),
   constraint PK_DW_D_VEHICLECLIENT primary key (IDVEHICLECLIENT)
);

comment on table DW_D_VEHICLECLIENT is
'Dades identificatives dels vehicles dels clients (dimensi)';

/*==============================================================*/
/* Table: DW_F_REPARACIO                                        */
/*==============================================================*/
create table DW_F_REPARACIO  (
   IDVEHICLECLIENT      NUMBER                          not null,
   IDTALLER             NUMBER                          not null,
   IDTEMPS              NUMBER                          not null,
   TEMPSRESOLUCIO       NUMBER                          not null,
   constraint PK_DW_F_REPARACIO primary key (IDVEHICLECLIENT, IDTALLER, IDTEMPS)
);

comment on table DW_F_REPARACIO is
'Reparacions realitzades als tallers ';

comment on column DW_F_REPARACIO.TEMPSRESOLUCIO is
'Hores invertides en la reparaci';

/*==============================================================*/
/* Table: DW_F_REVISIO                                          */
/*==============================================================*/
create table DW_F_REVISIO  (
   IDVEHICLECLIENT      NUMBER                          not null,
   IDTALLER             NUMBER                          not null,
   IDTEMPS              NUMBER                          not null,
   constraint PK_DW_F_REVISIO primary key (IDVEHICLECLIENT, IDTALLER, IDTEMPS)
);

comment on table DW_F_REVISIO is
'Revisions realitzades als vehicles dels clients';

/*==============================================================*/
/* Table: DW_F_VENDA                                            */
/*==============================================================*/
create table DW_F_VENDA  (
   IDCOMERCIAL          NUMBER                          not null,
   IDCONCESSIONARI      NUMBER                          not null,
   IDCONFIGURACIO       NUMBER                          not null,
   IDCLIENT             NUMBER                          not null,
   IDTEMPS              NUMBER                          not null,
   IMPORT               NUMBER(7,2)                     not null,
   constraint PK_DW_F_VENDA primary key (IDCOMERCIAL, IDCONFIGURACIO, IDCLIENT, IDCONCESSIONARI, IDTEMPS)
);

comment on table DW_F_VENDA is
'Vendes realitzades pels comercials';

alter table DW_F_REPARACIO
   add constraint FK_F_REPARACIO_D_TALLER foreign key (IDTALLER)
      references DW_D_TALLER (IDTALLER);

alter table DW_F_REPARACIO
   add constraint FK_F_REPARACIO_D_TEMPS foreign key (IDTEMPS)
      references DW_D_TEMPS (IDTEMPS);

alter table DW_F_REPARACIO
   add constraint FK_F_REPARACIO_D_VEHICLIENT foreign key (IDVEHICLECLIENT)
      references DW_D_VEHICLECLIENT (IDVEHICLECLIENT);

alter table DW_F_REVISIO
   add constraint FK_F_REVISIO_D_TALLER foreign key (IDTALLER)
      references DW_D_TALLER (IDTALLER);

alter table DW_F_REVISIO
   add constraint FK_F_REVISIO_D_TEMPS foreign key (IDTEMPS)
      references DW_D_TEMPS (IDTEMPS);

alter table DW_F_REVISIO
   add constraint FK_F_REVISIO_D_VEHICLIENT foreign key (IDVEHICLECLIENT)
      references DW_D_VEHICLECLIENT (IDVEHICLECLIENT);

alter table DW_F_VENDA
   add constraint FK_F_VENDA_D_CATALEGVEHICLE foreign key (IDCONFIGURACIO)
      references DW_D_CATALEGVEHICLE (IDCONFIGURACIO);

alter table DW_F_VENDA
   add constraint FK_F_VENDA_D_CLIENT foreign key (IDCLIENT)
      references DW_D_CLIENT (IDCLIENT);

alter table DW_F_VENDA
   add constraint FK_F_VENDA_D_COMERCIAL foreign key (IDCOMERCIAL)
      references DW_D_COMERCIAL (IDCOMERCIAL);

alter table DW_F_VENDA
   add constraint FK_F_VENDA_D_CONCESSIONARI foreign key (IDCONCESSIONARI)
      references DW_D_CONCESSIONARI (IDCONCESSIONARI);

alter table DW_F_VENDA
   add constraint FK_F_VENDA_D_TEMPS foreign key (IDTEMPS)
      references DW_D_TEMPS (IDTEMPS);

